=== debian/changelog ===
mono-reference-assemblies (3.12.1+dfsg-2) unstable; urgency=medium

  * [d0775e7] {2.0,3.5,4.0} -> {2.0,3.5,4.0}-api name change in Mono 4.4
  * [d6d06c9] Add 3.5 -> 2.0 dependency (Closes: #838331)
  * [95247bd] Add a tzdata build-dep (Closes: #839428)

 -- Jo Shields <jo.shields@xamarin.com>  Mon, 03 Oct 2016 15:23:51 +0100
