=== debian/control ===
Source: mono-reference-assemblies
Section: cli-mono
Priority: optional
Maintainer: Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>
Uploaders: Mirco Bauer <meebey@debian.org>, Jo Shields <directhex@apebox.org>
Build-Depends: debhelper (>= 7.0.50~),
	dpkg-dev (>= 1.16.1~),
	procps,
	bison,
	libtool,
	libxml-dom-perl,
	libxslt1-dev,
	tzdata,
	dc,
	lsb-release,
	libx11-dev,
	libxt-dev,
	zlib1g-dev,
	autoconf,
	automake
Standards-Version: 3.9.6
Homepage: http://www.mono-project.com
Vcs-Git: git://git.debian.org/git/pkg-mono/packages/mono-reference-assemblies.git
Vcs-Browser: http://git.debian.org/?p=pkg-mono/packages/mono-reference-assemblies.git

Package: mono-reference-assemblies-2.0
Breaks: libmono2.0-cil (<< 4.0),
        libmono-accessibility2.0-cil (<< 4.0),
        libmono-cairo2.0-cil (<< 4.0),
        libmono-corlib2.0-cil (<< 4.0),
        libmono-cscompmgd8.0-cil (<< 4.0),
        libmono-data-tds2.0-cil (<< 4.0),
        libmono-debugger-soft2.0-cil (<< 4.0),
        libmono-debugger-soft2.0a-cil (<< 4.0),
        libmono-i18n2.0-cil (<< 4.0),
        libmono-i18n-west2.0-cil (<< 4.0),
        libmono-ldap2.0-cil (<< 4.0),
        libmono-management2.0-cil (<< 4.0),
        libmono-messaging2.0-cil (<< 4.0),
        libmono-messaging-rabbitmq2.0-cil (<< 4.0),
        libmono-microsoft8.0-cil (<< 4.0),
        libmono-microsoft-build2.0-cil (<< 4.0),
        libmono-npgsql2.0-cil (<< 4.0),
        libmono-oracle2.0-cil (<< 4.0),
        libmono-peapi2.0-cil (<< 4.0),
        libmono-peapi2.0a-cil (<< 4.0),
        libmono-posix2.0-cil (<< 4.0),
        libmono-rabbitmq2.0-cil (<< 4.0),
        libmono-relaxng2.0-cil (<< 4.0),
        libmono-security2.0-cil (<< 4.0),
        libmono-sharpzip2.6-cil (<< 4.0),
        libmono-sharpzip2.84-cil (<< 4.0),
        libmono-simd2.0-cil (<< 4.0),
        libmono-sqlite2.0-cil (<< 4.0),
        libmono-system2.0-cil (<< 4.0),
        libmono-system-data2.0-cil (<< 4.0),
        libmono-system-data-linq2.0-cil (<< 4.0),
        libmono-system-data-services2.0-cil (<< 4.0),
        libmono-system-json2.0-cil (<< 4.0),
        libmono-system-ldap2.0-cil (<< 4.0),
        libmono-system-messaging2.0-cil (<< 4.0),
        libmono-system-net2.0-cil (<< 4.0),
        libmono-system-runtime2.0-cil (<< 4.0),
        libmono-system-web2.0-cil (<< 4.0),
        libmono-system-web-mvc1.0-cil (<< 4.0),
        libmono-system-web-mvc2.0-cil (<< 4.0),
        libmono-tasklets2.0-cil (<< 4.0),
        libmono-wcf3.0-cil (<< 4.0),
        libmono-wcf3.0a-cil (<< 4.0),
        libmono-webbrowser2.0-cil (<< 4.0),
        libmono-windowsbase3.0-cil (<< 4.0),
        libmono-winforms2.0-cil (<< 4.0),
        libmono-xbuild-tasks2.0-cil (<< 4.0)
Replaces: libmono2.0-cil (<< 4.0),
          libmono-accessibility2.0-cil (<< 4.0),
          libmono-cairo2.0-cil (<< 4.0),
          libmono-corlib2.0-cil (<< 4.0),
          libmono-cscompmgd8.0-cil (<< 4.0),
          libmono-data-tds2.0-cil (<< 4.0),
          libmono-debugger-soft2.0-cil (<< 4.0),
          libmono-debugger-soft2.0a-cil (<< 4.0),
          libmono-i18n2.0-cil (<< 4.0),
          libmono-i18n-west2.0-cil (<< 4.0),
          libmono-ldap2.0-cil (<< 4.0),
          libmono-management2.0-cil (<< 4.0),
          libmono-messaging2.0-cil (<< 4.0),
          libmono-messaging-rabbitmq2.0-cil (<< 4.0),
          libmono-microsoft8.0-cil (<< 4.0),
          libmono-microsoft-build2.0-cil (<< 4.0),
          libmono-npgsql2.0-cil (<< 4.0),
          libmono-oracle2.0-cil (<< 4.0),
          libmono-peapi2.0-cil (<< 4.0),
          libmono-peapi2.0a-cil (<< 4.0),
          libmono-posix2.0-cil (<< 4.0),
          libmono-rabbitmq2.0-cil (<< 4.0),
          libmono-relaxng2.0-cil (<< 4.0),
          libmono-security2.0-cil (<< 4.0),
          libmono-sharpzip2.6-cil (<< 4.0),
          libmono-sharpzip2.84-cil (<< 4.0),
          libmono-simd2.0-cil (<< 4.0),
          libmono-sqlite2.0-cil (<< 4.0),
          libmono-system2.0-cil (<< 4.0),
          libmono-system-data2.0-cil (<< 4.0),
          libmono-system-data-linq2.0-cil (<< 4.0),
          libmono-system-data-services2.0-cil (<< 4.0),
          libmono-system-json2.0-cil (<< 4.0),
          libmono-system-ldap2.0-cil (<< 4.0),
          libmono-system-messaging2.0-cil (<< 4.0),
          libmono-system-net2.0-cil (<< 4.0),
          libmono-system-runtime2.0-cil (<< 4.0),
          libmono-system-web2.0-cil (<< 4.0),
          libmono-system-web-mvc1.0-cil (<< 4.0),
          libmono-system-web-mvc2.0-cil (<< 4.0),
          libmono-tasklets2.0-cil (<< 4.0),
          libmono-wcf3.0-cil (<< 4.0),
          libmono-wcf3.0a-cil (<< 4.0),
          libmono-webbrowser2.0-cil (<< 4.0),
          libmono-windowsbase3.0-cil (<< 4.0),
          libmono-winforms2.0-cil (<< 4.0),
          libmono-xbuild-tasks2.0-cil (<< 4.0)
Architecture: all
Depends: mono-runtime-common (>= 4.4), ${misc:Depends}
Description: Mono runtime - compiler compatibility for .NET 2.0
 Mono is a platform for running and developing applications based on the
 ECMA/ISO Standards. Mono is an open source effort led by Xamarin.
 Mono provides a complete CLR (Common Language Runtime) including compiler and
 runtime, which can produce and execute CIL (Common Intermediate Language)
 bytecode (aka assemblies), and a class library.
 .
 This package contains files required to compile applications against an older
 version of .NET, using Mono 4.0 or above, which only include the latest 
 version of the class library as-is. This is important for producing apps for
 wider distribution

Package: mono-reference-assemblies-3.5
Architecture: all
Breaks: libmono-microsoft-build2.0-cil (<< 4.0),
        libmono-xbuild-tasks2.0-cil (<< 4.0)
Replaces: libmono-microsoft-build2.0-cil (<< 4.0),
          libmono-xbuild-tasks2.0-cil (<< 4.0)
Depends: mono-runtime-common (>= 4.4), mono-reference-assemblies-2.0 (= ${binary:Version}), ${misc:Depends}
Description: Mono runtime - compiler compatibility for .NET 3.5
 Mono is a platform for running and developing applications based on the
 ECMA/ISO Standards. Mono is an open source effort led by Xamarin.
 Mono provides a complete CLR (Common Language Runtime) including compiler and
 runtime, which can produce and execute CIL (Common Intermediate Language)
 bytecode (aka assemblies), and a class library.
 .
 This package contains files required to compile applications against an older
 version of .NET, using Mono 4.0 or above, which only include the latest 
 version of the class library as-is. This is important for producing apps for
 wider distribution

Package: mono-reference-assemblies-4.0
Breaks: libmono-accessibility4.0-cil (<< 4.0),
        libmono-c5-1.1-cil (<< 4.0),
        libmono-cairo4.0-cil (<< 4.0),
        libmono-compilerservices-symbolwriter4.0-cil (<< 4.0),
        libmono-corlib4.0-cil (<< 4.0),
        libmono-csharp4.0-cil (<< 4.0),
        libmono-csharp4.0a-cil (<< 4.0),
        libmono-csharp4.0b-cil (<< 4.0),
        libmono-csharp4.0c-cil (<< 4.0),
        libmono-custommarshalers4.0-cil (<< 4.0),
        libmono-data-tds4.0-cil (<< 4.0),
        libmono-db2-1.0-cil (<< 4.0),
        libmono-debugger-soft4.0-cil (<< 4.0),
        libmono-debugger-soft4.0a-cil (<< 4.0),
        libmono-http4.0-cil (<< 4.0),
        libmono-i18n4.0-cil (<< 4.0),
        libmono-i18n-cjk4.0-cil (<< 4.0),
        libmono-i18n-mideast4.0-cil (<< 4.0),
        libmono-i18n-other4.0-cil (<< 4.0),
        libmono-i18n-rare4.0-cil (<< 4.0),
        libmono-i18n-west4.0-cil (<< 4.0),
        libmono-ldap4.0-cil (<< 4.0),
        libmono-management4.0-cil (<< 4.0),
        libmono-messaging4.0-cil (<< 4.0),
        libmono-messaging-rabbitmq4.0-cil (<< 4.0),
        libmono-microsoft-build4.0-cil (<< 4.0),
        libmono-microsoft-build-engine4.0-cil (<< 4.0),
        libmono-microsoft-build-framework4.0-cil (<< 4.0),
        libmono-microsoft-build-tasks-v4.0-4.0-cil (<< 4.0),
        libmono-microsoft-build-utilities-v4.0-4.0-cil (<< 4.0),
        libmono-microsoft-csharp4.0-cil (<< 4.0),
        libmono-microsoft-visualc10.0-cil (<< 4.0),
        libmono-microsoft-web-infrastructure1.0-cil (<< 4.0),
        libmono-npgsql4.0-cil (<< 4.0),
        libmono-oracle4.0-cil (<< 4.0),
        libmono-parallel4.0-cil (<< 4.0),
        libmono-peapi4.0-cil (<< 4.0),
        libmono-peapi4.0a-cil (<< 4.0),
        libmono-posix4.0-cil (<< 4.0),
        libmono-rabbitmq4.0-cil (<< 4.0),
        libmono-relaxng4.0-cil (<< 4.0),
        libmono-security4.0-cil (<< 4.0),
        libmono-sharpzip4.84-cil (<< 4.0),
        libmono-simd4.0-cil (<< 4.0),
        libmono-sqlite4.0-cil (<< 4.0),
        libmono-system4.0-cil (<< 4.0),
        libmono-system-componentmodel-composition4.0-cil (<< 4.0),
        libmono-system-componentmodel-dataannotations4.0-cil (<< 4.0),
        libmono-system-configuration4.0-cil (<< 4.0),
        libmono-system-configuration-install4.0-cil (<< 4.0),
        libmono-system-core4.0-cil (<< 4.0),
        libmono-system-data4.0-cil (<< 4.0),
        libmono-system-data-datasetextensions4.0-cil (<< 4.0),
        libmono-system-data-linq4.0-cil (<< 4.0),
        libmono-system-data-services4.0-cil (<< 4.0),
        libmono-system-data-services-client4.0-cil (<< 4.0),
        libmono-system-design4.0-cil (<< 4.0),
        libmono-system-drawing4.0-cil (<< 4.0),
        libmono-system-drawing-design4.0-cil (<< 4.0),
        libmono-system-dynamic4.0-cil (<< 4.0),
        libmono-system-enterpriseservices4.0-cil (<< 4.0),
        libmono-system-identitymodel4.0-cil (<< 4.0),
        libmono-system-identitymodel-selectors4.0-cil (<< 4.0),
        libmono-system-json4.0-cil (<< 4.0),
        libmono-system-json-microsoft4.0-cil (<< 4.0),
        libmono-system-ldap4.0-cil (<< 4.0),
        libmono-system-ldap-protocols4.0-cil (<< 4.0),
        libmono-system-management4.0-cil (<< 4.0),
        libmono-system-messaging4.0-cil (<< 4.0),
        libmono-system-net4.0-cil (<< 4.0),
        libmono-system-numerics4.0-cil (<< 4.0),
        libmono-system-runtime4.0-cil (<< 4.0),
        libmono-system-runtime-caching4.0-cil (<< 4.0),
        libmono-system-runtime-durableinstancing4.0-cil (<< 4.0),
        libmono-system-runtime-serialization4.0-cil (<< 4.0),
        libmono-system-runtime-serialization-formatters-soap4.0-cil (<< 4.0),
        libmono-system-security4.0-cil (<< 4.0),
        libmono-system-servicemodel4.0-cil (<< 4.0),
        libmono-system-servicemodel4.0a-cil (<< 4.0),
        libmono-system-servicemodel-activation4.0-cil (<< 4.0),
        libmono-system-servicemodel-discovery4.0-cil (<< 4.0),
        libmono-system-servicemodel-routing4.0-cil (<< 4.0),
        libmono-system-servicemodel-web4.0-cil (<< 4.0),
        libmono-system-serviceprocess4.0-cil (<< 4.0),
        libmono-system-transactions4.0-cil (<< 4.0),
        libmono-system-web4.0-cil (<< 4.0),
        libmono-system-web-abstractions4.0-cil (<< 4.0),
        libmono-system-web-applicationservices4.0-cil (<< 4.0),
        libmono-system-web-dynamicdata4.0-cil (<< 4.0),
        libmono-system-web-extensions4.0-cil (<< 4.0),
        libmono-system-web-extensions-design4.0-cil (<< 4.0),
        libmono-system-web-routing4.0-cil (<< 4.0),
        libmono-system-web-services4.0-cil (<< 4.0),
        libmono-system-windows-forms4.0-cil (<< 4.0),
        libmono-system-windows-forms-datavisualization4.0-cil (<< 4.0),
        libmono-system-windows-forms-datavisualization4.0a-cil (<< 4.0),
        libmono-system-xaml4.0-cil (<< 4.0),
        libmono-system-xml4.0-cil (<< 4.0),
        libmono-system-xml-linq4.0-cil (<< 4.0),
        libmono-tasklets4.0-cil (<< 4.0),
        libmono-webbrowser4.0-cil (<< 4.0),
        libmono-webmatrix-data4.0-cil (<< 4.0),
        libmono-windowsbase4.0-cil (<< 4.0),
        libmono-xbuild-tasks4.0-cil (<< 4.0)
Replaces: libmono-accessibility4.0-cil (<< 4.0),
          libmono-c5-1.1-cil (<< 4.0),
