=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_test:
	#noop

override_dh_auto_install:
	dh_auto_install
	mkdir -p debian/mono-reference-assemblies-2.0/usr/lib/mono/2.0-api/
	mkdir -p debian/mono-reference-assemblies-3.5/usr/lib/mono/3.5-api/
	mkdir -p debian/mono-reference-assemblies-4.0/usr/lib/mono/4.0-api/
	for assembly in debian/tmp/usr/lib/mono/2.0/*.dll ; do \
		debian/tmp/usr/bin/mono debian/tmp/usr/lib/mono/4.5/mono-cil-strip.exe $$assembly debian/mono-reference-assemblies-2.0/usr/lib/mono/2.0-api/`basename $$assembly`; \
	done
	for assembly in debian/tmp/usr/lib/mono/3.5/*.dll ; do \
		debian/tmp/usr/bin/mono debian/tmp/usr/lib/mono/4.5/mono-cil-strip.exe $$assembly debian/mono-reference-assemblies-3.5/usr/lib/mono/3.5-api/`basename $$assembly`; \
	done
	for assembly in debian/tmp/usr/lib/mono/4.0/*.dll ; do \
		debian/tmp/usr/bin/mono debian/tmp/usr/lib/mono/4.5/mono-cil-strip.exe $$assembly debian/mono-reference-assemblies-4.0/usr/lib/mono/4.0-api/`basename $$assembly`; \
	done

%:
	dh $@
